Announcement

Collapse
No announcement yet.

AMD Catalyst 8.7 Linux Driver Released

Collapse
This topic is closed.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #21
    Some nice bugfixes

    A couple of issues that have been bothering me seems to be fixed in this release.
    • Corruption when enabling my external CRT is gone, nice, no need to work-around by re-initializing with xrandr/xrefresh after enabling second display, anymore.

    • XVideo crasher
      An X segmentation fault no longer occurs when launching SUZI/textured video. Further details can be found in topic number 737-35214
      I've had problems with X crashing when opening XVideo in Catalyst 8.6 (with any video player app). Hopefully, this is the fix, but what is SUZI ??

    • From the Phoronix article related to the new release:
      There are also a few fixes such as preventing freezes when resuming from OpenGL screensavers ..
      Does "resuming" here mean moving the mouse cursor =) ? I've had problems with freezing OpenGL screensavers for as long as I can remember with fglrx (gnome screensaver). Is there any chance this fix will help ?


    I'm just crossing my fingers and hope that the awful XVideo crasher is gone. Driver seems to be working just fine, so far.

    My hw:
    Lenovo Thinkpad Z61m, Radeon Mobility X1400 (chipset 0x7145), 2GB RAM, Intel Core Duo 2GHz, Ubuntu Hardy 32bit.

    Comment


    • #22
      For Ubuntu (debs meant for intrepid but currently only works on hardy, due X server problems, see below) download the debs from here:
      https://launchpad.net/ubuntu/intrepi...8.512-0ubuntu1

      AMD64 debs can be found here (see the above page for i386 debs)
      http://launchpadlibrarian.net/162211...ntu1_amd64.deb
      http://launchpadlibrarian.net/162211...ntu1_amd64.deb
      http://launchpadlibrarian.net/162211...ntu1_amd64.deb
      http://launchpadlibrarian.net/162211...ntu1_amd64.deb
      http://launchpadlibrarian.net/162211...ntu1_amd64.deb

      These appeared ~29 minutes ago

      Seems to work ok, but still some problems with 2.6.26 PAT and fglrx PAT to make peace:

      Linux gandalf 2.6.26-2008-07-14 #1 SMP Mon Jul 14 22:21:34 EEST 2008 x86_64 GNU/Linux

      [58763.437389] [fglrx] vendor: 1002 device: 9591 count: 1
      [58763.438265] [fglrx] ioport: bar 1, base 0x9000, size: 0x100
      [58763.438265] [fglrx] Maximum main memory to use for locked dma buffers: 3808 MBytes.
      [58763.438279] [fglrx:KCL_enable_pat] *ERROR* Pat entry 2 is already configured
      [58763.438339] [fglrx] PAT is disabled!
      [58763.438354] [fglrx] module loaded - fglrx 8.51.3 [Jul 3 2008] with 1 minors
      [58779.440177] [fglrx] Reserved FB block: Shared offset:0, size:1000000
      [58779.440177] [fglrx] Reserved FB block: Unshared offset:ff7f000, size:80000



      Originally posted by Kano View Post
      That driver is as useless as the 8-6 driver before. It really sucks. The time you invest to fix 2.6.26 issues is really wasted...

      a) 2.6.26 support is not integrated, ok it is possible to fetch a patch from git now (still not optimal, as not dkms like - applied only for intrepid packages not via PATCH=... , PATCH_MATCH="^2.6.2[6-9].

      b) wine is not working just like 8-6

      c) no pointsprites

      d) xorg.conf modelines... well at least they don't make the xserver crash, but they still dont work. Like I added 1280x960 @ 85 hz and it uses only 60 Hz - like it would without modelines.

      I presonally would remove the driver as it does not fix anything important. The only way is to use 8-5 - then you can at least play games with wine. If you call that Linux support then it must be a real joke.
      Last edited by jjjj; 21 July 2008, 07:07 PM.

      Comment


      • #23
        Right, my Sapphire Radeon X1550-64 Bit is not the world's fastest card, but this really is a case of severe underperfoming. Catalyst 8.7 is like 8.6 still painfully slow under KDE 4.0 and KDE 4.1. That will please a hell of a lot of people who are now making the switch. If run under KDE 4.1 glx-gears gives me an average of 950,000 FPS, compared to an average 2,300,000 under KDE 3.5X or Xfce.

        Comment


        • #24
          Originally posted by Kano View Post
          That driver is as useless as the 8-6 driver before. It really sucks. The time you invest to fix 2.6.26 issues is really wasted...
          I'll check, but my recollection was that we announced support for Ubuntu 8.04, not for 8.10 (or for 2.6.26 kernel).

          Are we even claiming 2.6.26 support with the 8.7 release ?
          Test signature

          Comment


          • #25
            Originally posted by bridgman View Post
            I'll check, but my recollection was that we announced support for Ubuntu 8.04, not for 8.10 (or for 2.6.26 kernel).

            Are we even claiming 2.6.26 support with the 8.7 release ?
            https://a248.e.akamai.net/f/674/9206..._87_linux.html

            I see no mention of 2.6.26 support in the readme. The only mention of 2.6 is limited to:

            # XOrg 6.8, 6.9, 7.0, 7.1, 7.2 or 7.3
            # Linux Kernel 2.6 and above
            # glibc version 2.2 or 2.3
            # POSIX Shared Memory (/dev/shm) support is required for 3D applications

            Comment


            • #26
              Well last thing to add:

              Even when you patch kernel 2.6.26 support it still does not run with intrepid - because Xserver 1.4.99.905 which is used there is not supported due to undefined symbol miZeroLineScreenIndex. So what did you think you get

              @jjjj

              The only way to use those debs _are_ on hardy or older, because intrepid is not supported - although the target exists.
              Last edited by Kano; 21 July 2008, 06:06 PM.

              Comment


              • #27
                I didn't think we supported Intrepid (8.10) yet, just Hardy (8.04).
                Test signature

                Comment


                • #28
                  does it support wine yet?

                  Comment


                  • #29
                    Nope you don't do that. But intrepid's OSS driver for X700 SE (RV410) absolutely suck too. Everything flickers whenever GNOME calls xrandr or when you directly use it. The VGA port also does not detect DCC (at max DVI->VGA adapter). Using that card with a new Xserver is absolutely no joy and only increases the hate against such a crap.

                    Comment


                    • #30
                      XVideo still crashing

                      Originally posted by oyvind View Post
                      A couple of issues that have been bothering me seems to be fixed in this release.

                      <snip>

                      I'm just crossing my fingers and hope that the awful XVideo crasher is gone. Driver seems to be working just fine, so far.

                      My hw:
                      Lenovo Thinkpad Z61m, Radeon Mobility X1400 (chipset 0x7145), 2GB RAM, Intel Core Duo 2GHz, Ubuntu Hardy 32bit.
                      Dammit, X just crashed with XVideo (Xine this time) and Catalyst 8.7.
                      Arrrgh!

                      Here's some kind of backtrace (X log):
                      Code:
                      0: /usr/bin/X(xf86SigHandler+0x7e) [0x80c780e]
                      1: [0xb7f72420]
                      2: /usr/lib/xorg/modules//glesx.so [0xb4c0f5de]
                      3: /usr/lib/xorg/modules//glesx.so [0xb4be64bc]
                      4: /usr/lib/xorg/modules//glesx.so [0xb4be6c6a]
                      5: /usr/lib/xorg/modules//glesx.so [0xb4b6369b]
                      6: /usr/lib/xorg/modules//glesx.so [0xb4b5575e]
                      7: /usr/lib/xorg/modules//glesx.so [0xb4b533a4]
                      8: /usr/lib/xorg/modules//glesx.so(esutUpdateSurfData+0x2e) [0xb4b525de]
                      9: /usr/lib/xorg/modules//amdxmm.so [0xb4b014f0]
                      10: /usr/bin/X [0x80da805]
                      11: /usr/lib/xorg/modules/extensions//libextmod.so(XvdiPutImage+0x178) [0xb7bdd608]
                      12: /usr/lib/xorg/modules/extensions//libextmod.so [0xb7be0476]
                      13: /usr/bin/X [0x81506ee]
                      14: /usr/bin/X(Dispatch+0x2cf) [0x808d8df]
                      15: /usr/bin/X(main+0x48b) [0x807471b]
                      16: /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe0) [0xb7d06450]
                      17: /usr/bin/X(FontFileCompleteXLFD+0x201) [0x8073a91]
                      
                      Fatal server error:
                      Caught signal 11.  Server aborting
                      
                      (II) AIGLX: Suspending AIGLX clients for VT switch
                      Oh my.

                      Comment

                      Working...
                      X